Skip to the navigation links
Last modified: 21 September 2010

URL: http://cxc-newtest.cfa.harvard.edu/ciao4.2/bugs/guis.html

Bugs: General GUI Issues


Bugs

  1. Icons incorrectly displayed
    GdkPixbuf-CRITICAL error (15 Dec 2008)
    (Solaris only)

  2. Unable to locate theme engine in module_path (15 Dec 2008)

  3. input method doesn't support my preedit type (OverTheSpot,Root) (15 Dec 2008)
    (Solaris only)


Bugs

  1. Icons incorrectly displayed
    GdkPixbuf-CRITICAL error (15 Dec 2008)
    (Solaris only)

    When running guis (peg, prism, or taskmonitor) on Solaris, icons may be incorrectly displayed if using certain themes. If the icons do not appear correct of warnings such as:

    GdkPixbuf-CRITICAL **: file gdk-pixbuf.c: line 470: assertion `pixbuf 
    != NULL' failed
    

    appear.

    Workaround:

    Setting the following gtk environment variables should fix the problem:

    setenv  GDK_PIXBUF_MODULE_DIR "/usr/lib/gtk-2.0/2.4.0/loaders"
    setenv  GDK_PIXBUF_MODULE_FILE "/etc/gtk-2.0/gdk-pixbuf.loaders"
    
  2. Unable to locate theme engine in module_path (15 Dec 2008)

    When using a Gtk theme, the following warning may appear:

    (prism:29582): Gtk-WARNING **: Unable to locate theme engine in
    module_path: "thinice"
    

    Workaround:

    Set the GTK_PATH environment variable to:

    setenv GTK_PATH /usr/lib/gtk-2.0/2.4.0
    

    where the path specified, contains an engines subhdirectory which contains the library for the specified theme engine:

    /usr/lib/gtk-2.0/2.4.0/engines/libthinice.so
    
  3. input method doesn't support my preedit type (OverTheSpot,Root) (15 Dec 2008)
    (Solaris only)

    This warning messages may be generated when an xterm is launched from prism (during interactive plotting/histograms) or from peg (tool or parameter specific help).

    It is a known issue with certain versions of xterm (Solaris 10)


Last modified: 21 September 2010